Uploaded image for project: 'Sentry'
  1. Sentry
  2. SENTRY-1507

Sentry should use Datanucleus version of javax.jdo

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 1.7.0, 2.0.0
    • Fix Version/s: 1.8.0, 2.0.0
    • Component/s: Sentry
    • Labels:
      None

      Description

      Currently Sentry is using Apache version of javax.jdo. Datanucleus is using a slightly modified version and tests against that so Sentry should use Datanucleus version instead.

      <!-- https://mvnrepository.com/artifact/org.datanucleus/javax.jdo -->
      <dependency>
          <groupId>org.datanucleus</groupId>
          <artifactId>javax.jdo</artifactId>
          <version>3.2.0-m5</version>
      </dependency>
      

        Attachments

        1. SENTRY-1507.001.patch
          1 kB
          Alex Kolbasov

          Issue Links

            Activity

              People

              • Assignee:
                akolb Alex Kolbasov
                Reporter:
                akolb Alex Kolbasov
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: